org.apache.poi.sl.draw.binding

## Class CTTransform2D

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTTransform2D

-     public class CTTransform2D
      extends java.lang.Object

  Java class for CT_Transform2D complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_Transform2D">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="off" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Point2D" minOccurs="0"/>
               <element name="ext" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_PositiveSize2D" minOccurs="0"/>
             </sequence>
             <attribute name="rot" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_Angle" default="0" />
             <attribute name="flipH" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
             <attribute name="flipV" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CTPositiveSize2D` | `ext`
    `protected java.lang.Boolean` | `flipH`
    `protected java.lang.Boolean` | `flipV`
    `protected CTPoint2D` | `off`
    `protected java.lang.Integer` | `rot`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTTransform2D()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CTPositiveSize2D` | `getExt()` Gets the value of the ext property.
    `CTPoint2D` | `getOff()` Gets the value of the off property.
    `int` | `getRot()` Gets the value of the rot property.
    `boolean` | `isFlipH()` Gets the value of the flipH property.
    `boolean` | `isFlipV()` Gets the value of the flipV property.
    `boolean` | `isSetExt()`
    `boolean` | `isSetFlipH()`
    `boolean` | `isSetFlipV()`
    `boolean` | `isSetOff()`
    `boolean` | `isSetRot()`
    `void` | `setExt(CTPositiveSize2D value)` Sets the value of the ext property.
    `void` | `setFlipH(boolean value)` Sets the value of the flipH property.
    `void` | `setFlipV(boolean value)` Sets the value of the flipV property.
    `void` | `setOff(CTPoint2D value)` Sets the value of the off property.
    `void` | `setRot(int value)` Sets the value of the rot property.
    `void` | `unsetFlipH()`
    `void` | `unsetFlipV()`
    `void` | `unsetRot()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### off

          protected CTPoint2D off

    - #### ext

          protected CTPositiveSize2D ext

    - #### rot

          protected java.lang.Integer rot

    - #### flipH

          protected java.lang.Boolean flipH

    - #### flipV

          protected java.lang.Boolean flipV

  - ### Constructor Detail

    - #### CTTransform2D

          public CTTransform2D()

  - ### Method Detail

    - #### getOff

          public CTPoint2D getOff()

      Gets the value of the off property.
      Returns:
        possible object is `CTPoint2D`

    - #### setOff

          public void setOff(CTPoint2D value)

      Sets the value of the off property.
      Parameters:
        `value` - allowed object is `CTPoint2D`

    - #### isSetOff

          public boolean isSetOff()

    - #### getExt

          public CTPositiveSize2D getExt()

      Gets the value of the ext property.
      Returns:
        possible object is `CTPositiveSize2D`

    - #### setExt

          public void setExt(CTPositiveSize2D value)

      Sets the value of the ext property.
      Parameters:
        `value` - allowed object is `CTPositiveSize2D`

    - #### isSetExt

          public boolean isSetExt()

    - #### getRot

          public int getRot()

      Gets the value of the rot property.
      Returns:
        possible object is `Integer`

    - #### setRot

          public void setRot(int value)

      Sets the value of the rot property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### isSetRot

          public boolean isSetRot()

    - #### unsetRot

          public void unsetRot()

    - #### isFlipH

          public boolean isFlipH()

      Gets the value of the flipH property.
      Returns:
        possible object is `Boolean`

    - #### setFlipH

          public void setFlipH(boolean value)

      Sets the value of the flipH property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isSetFlipH

          public boolean isSetFlipH()

    - #### unsetFlipH

          public void unsetFlipH()

    - #### isFlipV

          public boolean isFlipV()

      Gets the value of the flipV property.
      Returns:
        possible object is `Boolean`

    - #### setFlipV

          public void setFlipV(boolean value)

      Sets the value of the flipV property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isSetFlipV

          public boolean isSetFlipV()

    - #### unsetFlipV

          public void unsetFlipV()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.